<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: チュートリアル系クラス。
Version: 0.2
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2021-10-07
Changelog: 機能を追加
2021-10-07 0.2 機能を追加
2020-09-24 0.1 初リリース
*/
 class mhs_Tutorial {   function TUTORIAL_WRAPPER( $base_path , $TUTORIAL_NAME , $NOUNCE_KEY ) { global $JP;  $item_name = pathinfo( $base_path , PATHINFO_FILENAME );  $H_user_meta = $JP->GET_USER_META( $item_name );  $H_user_meta[ $item_name ][ $TUTORIAL_NAME ]++;  $JP->UPDATE_USER_META( $item_name , $H_user_meta );  $admin_url = $this->ADMIN_ENCODE_URL( $base_path , $NOUNCE_KEY );  $Common_PrintOut= new mhs_Common_PrintOut();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'TutorialStyle' ); require( dirname( $base_path ) . '/tutorial/menu_script.php' ); require( dirname( $base_path ) . '/tutorial/menu_css.php' ); require( dirname( $base_path ) . '/tutorial/menu.php' ); }  function ADMIN_ENCODE_URL( $admin_menu_name , $nounce_key ) {   $admin_url = 'admin.php?page=' . plugin_basename( $admin_menu_name );  $admin_url = get_admin_url( '' , $admin_url );  $admin_url = wp_nonce_url( $admin_url , $nounce_key );  $admin_url = str_replace( '&amp;' , '&' , $admin_url ); return $admin_url; }  function MENU_WRAPPER() { }  function BASIC_USAGE() { return; ?>
		<!-- 01 -->
		<div class="title"><i class="dropdown icon"></i>はじめに</div>
		<div class="content">

<p>このプラグインはMersearch Press(メルサーチプレス)と呼びます。<br>
Mersearch Pressは阿修羅ワークス代表長岡が開発したオリジナルのワードプレス向けプラグインです。</p>

			<div class="accordion transition hidden">

				<!-- 01-01 -->
				<div class="title"><i class="dropdown icon"></i>このプラグインでできること</div>
				<div class="content">

<p>Mersearch Pressはメルカリから商品を自動検索し売れ筋商品を自動リサーチするためのツールです。</p>

				</div>

				<!-- 01-02 -->
				<div class="title"><i class="dropdown icon"></i>マニュアルの仕組みについて</div>
				<div class="content">

<p>マニュアルを順番に読み進めて作業して頂くことによって、Mersearch Pressの設定が自然とできるようになっています。<br>
初めての方は最初から読み進めて設定されることをおすすめします。</p>

				</div>

				<!-- 01-03 -->
				<div class="title"><i class="dropdown icon"></i>推奨ブラウザ</div>
				<div class="content">

<p>
<span class="font-bold">PC環境　Win&Mac</span><br>
Google Chrome<br>
FireFox<br>
Safari<br>
<br>
<span class="font-bold">モバイル環境</span><br>
モバイル版 Safari<br>
モバイル版 Chrome<br>
<br>
IEとについては一部の機能が使えない可能性があります。
</p>

				</div>


				<!-- 01-04 -->
				<div class="title"><i class="dropdown icon"></i>動作環境</div>
				<div class="content">

<p>
■Wordpress対応バージョン<br>
Wordpress 5.x系対応<br>
PHP7.x系対応<br>
メモリ 128MB以上推奨<br>
HDD容量100MB以上推奨
</p>

				</div>



			</div>

		</div>
<?php
 }  function TUTE( $mode = 1 , $string = '' , $label = '' ) {  if( $mode == 1 ) {  $string = $this->QUERY_BUILD( $string , null , 1 );  echo '<button class="quick-edit-btn ui primary mini button" data-edit_url="' . $string . '">' . $label . '</button>'; }  else if ( $mode == 2 ) { $string = get_admin_url( null , $string );  echo '<a href="' . $string . '" target="_blank">' . $label . '</a>'; }  else if( $mode == 3 ) { $string = 'q=' . urlencode( $string ); $google_url = 'https://www.google.co.jp/search?';  echo '<a href="' . $google_url . $string . '" target="_blank">' . $label . '</a>'; } }  function QUERY_BUILD( $var , $A_prefix = array() , $option = false ) {  if(! $var ) { return false; }  list( $element , $element_name , $menu_name , $gravity , $vars ) = explode( '::' , $var );  if(! $element or ! $menu_name ) { return false; }  if( $vars ) {  $A_param = explode( '/' , $vars );  $id = $menu_name . implode( '-' , $A_param ); }  else { $A_param = array();  $id = $menu_name; }  $H_query = array( 'menu_name' => $menu_name , 'param' => $A_param , 'prefix' => $A_prefix );  $edit_url = admin_url() . '&' . http_build_query( $H_query , '' , '&' );  if( $option ) { return $edit_url; } else { return array( $id , $edit_url , $element , $element_name , $menu_name , $gravity , $vars ); } }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 