<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: 会員制サポートフォーラムクラス。
Version: 1.0
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2023-02-25
Changelog: AI Content Builder、タイトルチェンジプレス、アドガードプレス、メンバーメール、メンバーログインマイページプレス追加
2023-02-25 1.0 AI Content Builder、タイトルチェンジプレス、アドガードプレス、メンバーメール、メンバーログインマイページプレス追加
2022-05-26 0.9 フリー記述の最低文字数のチェック機能を追加
2021-10-06 0.7 最小テストの質問を追加
2020-11-03 0.6 フリーフォームを削除
2020-08-21 0.5 アマゾンプレス、楽プレス、メルサーチプレスを追加
2020-07-31 0.4 自動リンク機能を追加
2020-01-30 0.3 ポケットプレスとタンブラープレスを追加
2019-09-06 0.2 投稿時にメールによる通知機能を追加
2019-08-16 0.1 初リリース
*/
 class mhs_support {  function SUPPORT() { global $JP;  if(! $JP->ADMIN_WARNING() ) { return; }  $Common_PrintOut = new mhs_Common_PrintOut();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Semantic UI' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name; $O_user = wp_get_current_user(); $mail = $O_user->user_email;  if( $mail == 'nagaoka_model@yahoo.co.jp' or $mail == 'mail@wp-plugin.info' ) { $admin_css = <<< EOM
.admin-password-filed { display: block; }

EOM;
 } else { $admin_css = <<< EOM
.admin-password-filed { display: none; }

EOM;
 }  if(! $H_user = $this->CHECK_MEMBER() )  {  $auth_link = 'admin.php?page=SupportPress-Authentication'; ?>
<div class="wrap">
	<h2 class="page-title">サポートフォーラム</h2>

		<h4 class="ui dividing header">サポートフォーラムの利用には利用申請が必要です。こちらから<a href="<?php echo $auth_link; ?>">利用申請</a>して下さい。</h4>
</div>
<?php
 return; } ?>

<style>
<?php echo $admin_css; ?>
#support-forum .post-meta
{
	font-size: 0.5rem;
	color: #ccc;
}

#support-forum .article-lists
{
	max-height: 600px;
	overflow-y: scroll;
}

#support-forum pre
{
	white-space: pre-wrap;
}
#support-forum a ,
.support-press-link-wrapper a
{
	white-space: break-spaces;
	word-break: break-all;
}

</style>

<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error">
  <i class="close icon"></i>

  <div class="header">エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">入力ミスがあります</div>
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button">はい</div>

  </div>

</div>

<!-- ajax通信結果モーダルダイアログ -->
<div class="ui modal ajax-result">
  <i class="close icon"></i>

  <div class="header">処理中</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button">はい</div>

  </div>

</div>


<script type="text/javascript">

jQuery( function( $ )
{

	//記事の読み込み
	$( document ).on( 'click' , '#support-forum a.post_link' , function()
	{
		//投稿IDを取得
		const post_id = $( this ).data( 'post_id' );

		//カテゴリを取得
		const category = $( this ).data( 'category' );

		//記事をローディング状態にする
		$( '#' + category + ' .article .article-content' ).append( '<i class="notched circle loading icon"></i>' );

		//フォームデータをオブジェクト化
		const fd		= new FormData();

		//サーバーに渡す値を追加
		fd.append( 'action' , 'mhs_support-forum_view_article' );
		fd.append( 'post_id' , post_id );
		fd.append( 'category' , category );
		fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
//			timeout		: 30000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			//記事本文の読み込み
			$( '#' + data.category + ' .article .article-content' ).html( data.article );

			//コメントレスの読み込み
			$( '#' + data.category + ' .article .response' ).html( data.response );

			//解決済みの読み込み
			$( '#' + data.category + ' .article .solution' ).html( data.solution );

			//投稿IDの置き換え
			$( '#' + data.category + '-res [name="post_id"]' ).val( data.post_id );

			//返信フォームを開く
			$( '#' + data.category + ' .reply-form' ).css( 'display' , 'block' );

			//解決済みフォームを開く
			$( '#' + data.category + ' .solution-form' ).css( 'display' , 'block' );

			//投稿IDの置き換え
			$( '#' + data.category + '-solution [name="post_id"]' ).val( data.post_id );


			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( error );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});
	});




	//スレッド読み込み
	$( '#support-forum .title' ).on( 'click' , function()
	{
		//カテゴリ(プラグイン名)を取得
		const category = $( this ).data( 'category' );

		//スレッドをローディング状態にする
		$( '#' + category + ' .thread .message' ).append( '<i class="notched circle loading icon"></i>' );

		//フォームデータをオブジェクト化
		const fd		= new FormData();

		//サーバーに渡す値を追加
		fd.append( 'action' , 'mhs_support-forum_view' );
		fd.append( 'category' , category );
		fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
//			timeout		: 30000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			//スレッド読み込み
			$( '#' + data.category + ' .thread .message' ).html( data.threads );

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( error );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});
	});




	//スレッド追加
	$( '#support-forum .new-thread-btn' ).on( 'click' , function( e )
	{
		//リンクを無効化
		e.preventDefault();

		//カテゴリ(プラグイン名)を取得
		const category	= $( this ).data( 'category' );

		//フォームタイプを取得
		const form_type	= $( this ).data( 'form_type' );

		//バリデード
		const nickname		= $( '#' + category + '-thread-' + form_type + ' [name="nickname"]' ).val();
		const post_title	= $( '#' + category + '-thread-' + form_type + ' [name="post_title"]' ).val();
		const post_content	= $( '#' + category + '-thread-' + form_type + ' [name="post_content"]' ).val();

		const q1_1			= $( '#' + category + '-thread-' + form_type + ' [name="q1_1"]:checked' ).val();
		const q1_2			= $( '#' + category + '-thread-' + form_type + ' [name="q1_2"]:checked' ).val();
		const q1_3			= $( '#' + category + '-thread-' + form_type + ' [name="q1_3"]:checked' ).val();
		const q1_8			= $( '#' + category + '-thread-' + form_type + ' [name="q1_8"]:checked' ).val();

		const q1_4			= $( '#' + category + '-thread-' + form_type + ' [name="q1_4"]' ).val();
		const q1_5			= $( '#' + category + '-thread-' + form_type + ' [name="q1_5"]' ).val();
		const q1_6			= $( '#' + category + '-thread-' + form_type + ' [name="q1_6"]' ).val();
		const q1_7			= $( '#' + category + '-thread-' + form_type + ' [name="q1_7"]' ).val();

		const q2_1			= $( '#' + category + '-thread-' + form_type + ' [name="q2_1"]:checked' ).val();
		const q2_2			= $( '#' + category + '-thread-' + form_type + ' [name="q2_2"]:checked' ).val();
		const q2_3			= $( '#' + category + '-thread-' + form_type + ' [name="q2_3"]:checked' ).val();
		const q2_6			= $( '#' + category + '-thread-' + form_type + ' [name="q2_6"]:checked' ).val();

		const q2_4			= $( '#' + category + '-thread-' + form_type + ' [name="q2_4"]' ).val();
		const q2_5			= $( '#' + category + '-thread-' + form_type + ' [name="q2_5"]' ).val();


		//フリーフォームであれば
		if( form_type == 'free' )
		{
			//必須項目が入力されていなければ
			if(! post_title || ! post_content || ! nickname )
			{
				//モーダルを初期化
				$( '.ui.modal.input-error .content p' ).empty();

				//書き換え
				$( '.ui.modal.input-error .content p' ).html( 'タイトルまたは本文またはニックネームが入力されていません。<br>必須項目を入力して下さい。' );

				//モーダルダイアログを表示
				$( '.ui.modal.input-error' ).modal( 'show' );

				return false;
			}
		}
		//操作系フォームであれば
		else if( form_type == 'control' )
		{
			//必須項目が入力されていなければ
			if(! post_title || ! nickname || q1_1 == '' || q1_2 == '' || q1_3 == '' || ! q1_4 || ! q1_5 || ! q1_6 || ! q1_7 )
			{
				//モーダルを初期化
				$( '.ui.modal.input-error .content p' ).empty();

				//書き換え
				$( '.ui.modal.input-error .content p' ).html( 'タイトルまたは質問項目またはニックネームが入力されていません。<br>必須項目を入力して下さい。' );

				//モーダルダイアログを表示
				$( '.ui.modal.input-error' ).modal( 'show' );

				return false;
			}
		}
		//疑問系フォームであれば
		else if( form_type == 'question' )
		{
			//必須項目が入力されていなければ
			if(! post_title || ! nickname || q2_1 == '' || q2_2 == '' || q2_3 == '' || ! q2_4 || ! q2_5 )
			{
				//モーダルを初期化
				$( '.ui.modal.input-error .content p' ).empty();

				//書き換え
				$( '.ui.modal.input-error .content p' ).html( 'タイトルまたは質問項目またはニックネームが入力されていません。<br>必須項目を入力して下さい。' );

				//モーダルダイアログを表示
				$( '.ui.modal.input-error' ).modal( 'show' );

				return false;
			}
		}


		//モーダルを初期化
		$( '.ui.modal.ajax-result .content p' ).empty();

		//書き換え
		$( '.ui.modal.ajax-result .content p' ).html( 'スレッドの追加処理を実行中です。<br>しばらくお待ち下さい。' );

		//モーダルダイアログを表示
		$( '.ui.modal.ajax-result' ).modal( 'show' );


		//フォームデータをオブジェクト化
		const fd		= new FormData( $( '#' + category + '-thread-' + form_type ).get( 0 ) );

		//添付ファイルがあれば
		if( $( '#' + category + '-thread-' + form_type + " input[name='upload1']" ).val()!== '' )
		{ fd.append( 'upload1' , $( '#' + category + '-thread-' + form_type+ " input[name='upload1']" ).prop( "files" )[0] ); }
		if( $( '#' + category + '-thread-' + form_type + " input[name='upload2']" ).val()!== '' )
		{ fd.append( 'upload2' , $( '#' + category + '-thread-' + form_type + " input[name='upload2']" ).prop( "files" )[0] ); }
		if( $( '#' + category + '-thread-' + form_type + " input[name='upload3']" ).val()!== '' )
		{ fd.append( 'upload3' , $( '#' + category + '-thread-' + form_type + " input[name='upload3']" ).prop( "files" )[0] ); }
		if( $( '#' + category + '-thread-' + form_type + " input[name='upload4']" ).val()!== '' )
		{ fd.append( 'upload4' , $( '#' + category + '-thread-' + form_type + " input[name='upload4']" ).prop( "files" )[0] ); }
		if( $( '#' + category + '-thread-' + form_type + " input[name='upload5']" ).val()!== '' )
		{ fd.append( 'upload5' , $( '#' + category + '-thread-' + form_type + " input[name='upload5']" ).prop( "files" )[0] ); }


		//サーバーに渡す値を追加
		fd.append( 'action' , 'mhs_support-forum_write' );
		fd.append( 'form_type' , form_type );
		fd.append( 'mail' , "<?php echo $H_user[ 'mail' ] ?>" );
		fd.append( 'name1' , "<?php echo $H_user[ 'name1' ] ?>" );
		fd.append( 'name2' , "<?php echo $H_user[ 'name2' ] ?>" );
		fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
//			timeout		: 30000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			//書き換え
			$( '.ui.modal.ajax-result .header' ).html( '処理完了' );
			$( '.ui.modal.ajax-result .content p' ).html( data.msg );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			//フォームをクリア
//			$( '#' + data.category + '-thread' ).find( "textarea , :text , select , :file" ).val( "" ).end().find( ":checked" ).prop( "checked" , false );
			//フォームをクリア(テキストボックスは残す)
			$( '#' + data.category + '-thread' ).find( "textarea  , select , :file" ).val( "" ).end().find( ":checked" ).prop( "checked" , false );


			//フォームデータをオブジェクト化
			const fd		= new FormData();

			//サーバーに渡す値を追加
			fd.append( 'action' , 'mhs_support-forum_view' );
			fd.append( 'category' , data.category );
			fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

			$.ajax(
			{
				url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
				type		: 'POST' ,
				cache		: false ,
//				timeout		: 5000 ,
				processData	: false ,	 //ajaxでFormData使用時に必須
				contentType	: false ,	 //ajaxでFormData使用時に必須
				data		: fd
			})
			.success( function( data , state )
			{
				//スレッド読み込み
				$( '#' + data.category + ' .thread .message' ).html( data.threads );

				console.log( state );
				console.log( data );
			})
			.error( function( XHR , state , error )
			{
				alert( error );

				console.log( XHR );
				console.log( state );
				console.log( error );
			});

			//スレッドを更新



			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( error );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});
	});




	//コメントレス追加
	$( document ).on( 'click' , '#support-forum .new-res-btn' , function( e )
	{
		//リンクを無効化
		e.preventDefault();

		//カテゴリ(プラグイン名)を取得
		const category	= $( this ).data( 'category' );



		//バリデード
		const nickname		= $( '#' + category + '-res [name="nickname"]' ).val();
		const comment_content	= $( '#' + category + '-res [name="comment_content"]' ).val();

		//必須項目が入力されていなければ
		if(! comment_content || ! nickname )
		{
			//モーダルを初期化
			$( '.ui.modal.input-error .content p' ).empty();

			//書き換え
			$( '.ui.modal.input-error .content p' ).html( '本文またはニックネームが入力されていません。<br>必須項目を入力して下さい。' );

			//モーダルダイアログを表示
			$( '.ui.modal.input-error' ).modal( 'show' );

			return false;
		}



		//モーダルを初期化
		$( '.ui.modal.ajax-result .content p' ).empty();

		//書き換え
		$( '.ui.modal.ajax-result .content p' ).html( '返信の追加処理を実行中です。<br>しばらくお待ち下さい。' );

		//モーダルダイアログを表示
		$( '.ui.modal.ajax-result' ).modal( 'show' );




		//フォームデータをオブジェクト化
		const fd		= new FormData( $( '#' + category + '-res' ).get( 0 ) );

		//添付ファイルがあれば
		if( $( '#' + category + "-res input[name='upload1']" ).val()!== '' )
		{ fd.append( 'upload1' , $( '#' + category + "-res input[name='upload1']" ).prop( "files" )[0] ); }
		if( $( '#' + category + "-res input[name='upload2']" ).val()!== '' )
		{ fd.append( 'upload2' , $( '#' + category + "-res input[name='upload2']" ).prop( "files" )[0] ); }
		if( $( '#' + category + "-res input[name='upload3']" ).val()!== '' )
		{ fd.append( 'upload3' , $( '#' + category + "-res input[name='upload3']" ).prop( "files" )[0] ); }
		if( $( '#' + category + "-res input[name='upload4']" ).val()!== '' )
		{ fd.append( 'upload4' , $( '#' + category + "-res input[name='upload4']" ).prop( "files" )[0] ); }
		if( $( '#' + category + "-res input[name='upload5']" ).val()!== '' )
		{ fd.append( 'upload5' , $( '#' + category + "-res input[name='upload5']" ).prop( "files" )[0] ); }

		//サーバーに渡す値を追加
		fd.append( 'action' , 'mhs_support-forum_write_res' );
		fd.append( 'mail' , "<?php echo $H_user[ 'mail' ] ?>" );
		fd.append( 'name1' , "<?php echo $H_user[ 'name1' ] ?>" );
		fd.append( 'name2' , "<?php echo $H_user[ 'name2' ] ?>" );
		fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
//			timeout		: 30000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			//書き換え
			$( '.ui.modal.ajax-result .header' ).html( '処理完了' );
			$( '.ui.modal.ajax-result .content p' ).html( data.msg );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			//フォームをクリア
			$( '#' + data.category + '-res' ).find( "textarea , :text , select , :file" ).val( "" ).end().find( ":checked" ).prop( "checked" , false );

			//レス更新

			//フォームデータをオブジェクト化
			const fd		= new FormData();

			//サーバーに渡す値を追加
			fd.append( 'action' , 'mhs_support-forum_view_article' );
			fd.append( 'post_id' , data.post_id );
			fd.append( 'category' , data.category );
			fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

			$.ajax(
			{
				url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
				type		: 'POST' ,
				cache		: false ,
//				timeout		: 5000 ,
				processData	: false ,	 //ajaxでFormData使用時に必須
				contentType	: false ,	 //ajaxでFormData使用時に必須
				data		: fd
			})
			.success( function( data , state )
			{
				//記事本文の読み込み
				$( '#' + data.category + ' .article .article-content' ).html( data.article );

				//コメントレスの読み込み
				$( '#' + data.category + ' .article .response' ).html( data.response );

				//投稿IDの置き換え
				$( '#' + data.category + '-res [name="post_id"]' ).val( data.post_id );

				//返信フォームを開く
				$( '#' + data.category + ' .reply-form' ).css( 'display' , 'block' );

				//解決済みフォームを開く
				$( '#' + data.category + ' .solution-form' ).css( 'display' , 'block' );


				console.log( state );
				console.log( data );
			})
			.error( function( XHR , state , error )
			{
				alert( error );

				console.log( XHR );
				console.log( state );
				console.log( error );
			});

			//レス更新



			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( error );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});
	});



	//解決済み
	$( document ).on( 'click' , '#support-forum .solution-btn' , function( e )
	{
		//リンクを無効化
		e.preventDefault();

		//カテゴリ(プラグイン名)を取得
		const category	= $( this ).data( 'category' );


		//モーダルを初期化
		$( '.ui.modal.ajax-result .content p' ).empty();

		//書き換え
		$( '.ui.modal.ajax-result .content p' ).html( '解決済みの処理を実行中です。<br>しばらくお待ち下さい。' );

		//モーダルダイアログを表示
		$( '.ui.modal.ajax-result' ).modal( 'show' );




		//フォームデータをオブジェクト化
		const fd		= new FormData( $( '#' + category + '-solution' ).get( 0 ) );

		//サーバーに渡す値を追加
		fd.append( 'action' , 'mhs_support-forum_solution' );
		fd.append( 'mail' , "<?php echo $H_user[ 'mail' ] ?>" );
		fd.append( 'name1' , "<?php echo $H_user[ 'name1' ] ?>" );
		fd.append( 'name2' , "<?php echo $H_user[ 'name2' ] ?>" );
		fd.append( 'token' , '<?php echo wp_create_nonce( $nounce_key ); ?>' );

		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
//			timeout		: 30000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			//書き換え
			$( '.ui.modal.ajax-result .header' ).html( '処理完了' );
			$( '.ui.modal.ajax-result .content p' ).html( data.msg );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			//解決済みフォームを開く
			$( '#' + data.category + ' .solution-form' ).css( 'display' , 'block' );

			//解決済みの読み込み
			$( '#' + data.category + ' .article .solution' ).html( data.solution );

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( error );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});
	});

});
</script>

<div class="wrap">
	<h2 class="page-title">サポートフォーラム</h2>

		<div class="ui negative message">
			<div class="header">使用上の注意 </div>
			<p>土日祝は休み</p>
			<p>このサポートフォーラムはユーザーのみんなが閲覧し参考にします。節度と礼節を守って投稿するようにお願い致します。<br>
			同じ悩みを持ったユーザーの役に立つような書き込みを心がけて下さい。</p>
		</div>

	<div id="support-forum" class="ui styled fluid accordion">

<?php echo $this->SET_FORUM_ACCORDION( $H_user ); ?>

	</div>



</div>

<?php
 }  function SET_FORUM_ACCORDION( $H_user = array() ) {  $H_arg = array ( 'ai-content-builder' => 'AI Content Builder ( AI Content Builder )' , 'magical-rewrite-post' => 'マジカルリライトポスト ( Magical Rewrite Post )' , 'wp-rss-scraping-post' => 'WP RSS スクレイピングポスト ( WP Rss Scraping Post )' , 'youtuber-press' => 'ユーチューバープレス ( Youtuber Press )' , 'markove-rewrite-summarizer'=> 'マルコフリライトサマライザー ( Markove Rewrite Summarizer )' , 'getwin' => 'ゲット・ツイート・イン ( Get Tweet In )' , 'tweet-press' => 'ツイートプレス ( Tweet Press )' , 'auto-twitter-follow' => 'オートツイッターフォロー ( Auto Twitter Follow )' , 'copy-paste-check-press' => 'コピーペーストチェックプレス ( Copy Paste Check Press )' , 'wp-go2-twitter' => 'WP Go2 Twitter ( WP Go2 Twitter )' , 'thumbnail-press' => 'サムネイルプレス ( Thumbnail Press )' , 'delete-press' => 'デリートプレス ( Delete Press )' , 'theme-support-press' => 'テーマサポートプレス ( Theme Support Press )' , 'stealth-redirect-press' => 'ステルスリダイレクトプレス ( Stealth Redirect Press )' , 'translate-press' => '翻訳プレス ( Translate Press )' , 'pocket-press' => 'ポケットプレス ( Pocket Press )' , 'tumbler-press' => 'タンブラープレス ( Tumbler Press )' , 'brain-press' => 'ブレインプレス ( Brain Press )' , 'yahoo-auction-search-press'=> 'ヤフオクサーチプレス ( Yahoo Auction Search Press )' , '2-5ch-press' => '2.5chプレス ( 2.5ch Press )' , 'scrapeing-press' => 'スクレイピングプレス ( Scrapeing Press )' , 'fanxxa-press' => 'ファンザプレス ( Fanxxa Press )' , 'reddit-press' => 'レディットプレス ( Reddit Press )' , 'ad-guard-press' => 'アドガードプレス ( Ad Guard Press )' , 'member-mail-press' => 'メンバーメールプレス ( Member Mail Press )' , 'title-change-press' => 'タイトルチェンジプレス ( Title Change Press )' , 'member-login-mypage-press' => 'メンバーログインマイページプレス ( Member Login Mypage Press )' , 'amazon-press' => 'アマゾンプレス ( Amazon Press )' , 'raku-press' => '楽プレス ( Raku Press )' , 'mersearch-press' => 'メルサーチプレス ( Mersearch Press )' , 'othere' => '全般・その他' , ); $template = <<< EOM
		<div class="title" data-category="{{item_id}}">
			<i class="dropdown icon"></i>{{item_name}}
		</div>
		<div id="{{item_id}}" class="content">

			<!-- 書き込みフォームアコーディオン -->
			<div class="fluid accordion thread-form" style="margin-bottom: 2rem;">
				<div class="title"><i class="dropdown icon"></i> 書き込みフォームを表示 <span style="font-size: 0.7rem; color: #ccc;">( {{item_name}} の質問はこちらから ) </span></div>
				<div class="content">

					<div class="ui negative message">
						<p>類似のスレッドがないか確認してから投稿して下さい。<br>1クエスチョン・1スレッドで質問を分けて投稿して下さい。このスレッドと異なるプラグインの質問は分けて下さい。</p>
					</div>

					<div class="ui positive message">
						<p>以下の質問に沿ったフォームを選択して質問を入力して下さい。</p>
					</div>


					<!-- テンプレートアコーディオン -->
					<div class="accordion">

						<!-- 操作についての質問フォーム -->
						<div class="title"><i class="dropdown icon"></i>操作についての質問フォーム</div>
						<div class="content">

							<form id="{{item_id}}-thread-control" class="ui form" style="margin-bottom: 2rem;">
								<div class="required field">
									<label>ニックネーム</label>
									<input name="nickname" placeholder="ニックネーム" type="text" value="{{nickname}}">
								</div>

								<div class="required field">
									<label>タイトル</label>
									<input name="post_title" placeholder="タイトル" type="text">
								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>その疑問についてネット検索で調査済みですか？</label>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_1" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_1" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_1" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>その疑問はマニュアルには載っていないことですか？</label>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_2" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_2" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_2" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>阿修羅ワークスのプラグインは全て最新ですか？</label>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_3" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_3" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_3" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>最小テストは試しましたか？</label>

										<div class="ui info message transition visible">
											<p>最小テストとは、<br>1.テーマをWordPress公式のテーマに変更し、<br>2.プラグインを阿修羅ワークスの当該プラグイン(Joint Press含む)のみに変更して<br>3.設定の初期化メニュー実行してから再度テストすることです。</p>
										</div>

										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_8" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_8" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q1_8" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">
									<label>結果として今どうなっていますか？</label>
									<textarea name="q1_4" placeholder="結果として今どうなっていますか？"></textarea>
								</div>


								<div class="required field">
									<label>何をしたらそうなったか直前の操作や変更箇所について教えて下さい</label>
									<textarea name="q1_5" placeholder="何をしたらそうなったか直前の操作や変更箇所について教えて下さい"></textarea>
								</div>


								<div class="required field">
									<label>以前はどのような状態でしたか？</label>
									<textarea name="q1_6" placeholder="以前はどのような状態でしたか？"></textarea>
								</div>


								<div class="required field">
									<label>どのような状態になればいいと考えていますか？</label>
									<textarea name="q1_7" placeholder="どのような状態になればいいと考えていますか？"></textarea>
								</div>


								<!-- 添付ファイルフォーム -->
								<div class="fluid accordion" style="margin-bottom: 2rem;">
									<div class="title"><i class="dropdown icon"></i> 添付ファイル </div>
									<div class="content">

										<div class="field">
											<label>添付ファイル1 (5Mまで)</label>
											<input type="file" name="upload1">
										</div>
										<div class="field">
											<label>添付ファイル2 (5Mまで)</label>
											<input type="file" name="upload2">
										</div>
										<div class="field">
											<label>添付ファイル3 (5Mまで)</label>
											<input type="file" name="upload3">
										</div>
										<div class="field">
											<label>添付ファイル4 (5Mまで)</label>
											<input type="file" name="upload4">
										</div>
										<div class="field">
											<label>添付ファイル5 (5Mまで)</label>
											<input type="file" name="upload5">
										</div>
									</div>
								</div>
								<!-- /添付ファイルフォーム -->


								<!-- プライベートフォーム -->
								<div class="fluid accordion" style="margin-bottom: 2rem;">
									<div class="title"><i class="dropdown icon"></i> プライベートフォーム ( 阿修羅ワークスのみ閲覧可 ) </div>
									<div class="content">

										<div class="field">
											<label>プライベートメッセージ</label>
											<textarea name="private_content" placeholder="プライベートメッセージ"></textarea>
										</div>

									</div>
								</div>
								<!-- /プライベートフォーム -->


								<input type="hidden" name="category" value="{{item_id}}">

								<button class="ui primary fluid button new-thread-btn" data-category="{{item_id}}" data-form_type="control">新規スレッド</button>
							</form>
						</div>
						<!-- /操作についての質問フォーム -->



						<!-- 疑問・悩みについての質問フォーム -->
						<div class="title"><i class="dropdown icon"></i>疑問・悩みについての質問フォーム</div>
						<div class="content">

							<form id="{{item_id}}-thread-question" class="ui form" style="margin-bottom: 2rem;">
								<div class="required field">
									<label>ニックネーム</label>
									<input name="nickname" placeholder="ニックネーム" type="text" value="{{nickname}}">
								</div>

								<div class="required field">
									<label>タイトル</label>
									<input name="post_title" placeholder="タイトル" type="text">
								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>その疑問や悩みについてネット検索で調査済みですか？</label>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_1" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_1" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_1" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>その疑問や悩みはマニュアルには載っていないことですか？</label>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_2" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_2" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_2" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>最小テストは試しましたか？</label>

										<div class="ui info message transition visible">
											<p>最小テストとは、<br>1.テーマをWordPress公式のテーマに変更し、<br>2.プラグインを阿修羅ワークスの当該プラグイン(Joint Press含む)のみに変更して<br>3.設定の初期化メニュー実行してから再度テストすることです。</p>
										</div>

										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_6" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_6" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_6" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">

									<div class="grouped fields">
										<label>阿修羅ワークスのプラグインは全て最新ですか？</label>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_3" value="" checked="" tabindex="0" class="hidden">
												<label>未選択</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_3" value="1" tabindex="0" class="hidden">
												<label>はい</label>
											</div>
										</div>
										<div class="field">
											<div class="ui radio checkbox">
												<input type="radio" name="q2_3" value="0" tabindex="0" class="hidden">
												<label>いいえ</label>
											</div>
										</div>
									</div>

								</div>


								<div class="required field">
									<label>あなたが疑問や悩みに感じていることについて教えて下さい</label>
									<textarea name="q2_4" placeholder="あなたが疑問に感じていることについて教えて下さい"></textarea>
								</div>


								<div class="required field">
									<label>それを疑問や悩みに思ったキッカケについて教えて下さい</label>
									<textarea name="q2_5" placeholder="それを疑問や悩みに思ったキッカケについて教えて下さい"></textarea>
								</div>


								<!-- 添付ファイルフォーム -->
								<div class="fluid accordion" style="margin-bottom: 2rem;">
									<div class="title"><i class="dropdown icon"></i> 添付ファイル </div>
									<div class="content">

										<div class="field">
											<label>添付ファイル1 (5Mまで)</label>
											<input type="file" name="upload1">
										</div>
										<div class="field">
											<label>添付ファイル2 (5Mまで)</label>
											<input type="file" name="upload2">
										</div>
										<div class="field">
											<label>添付ファイル3 (5Mまで)</label>
											<input type="file" name="upload3">
										</div>
										<div class="field">
											<label>添付ファイル4 (5Mまで)</label>
											<input type="file" name="upload4">
										</div>
										<div class="field">
											<label>添付ファイル5 (5Mまで)</label>
											<input type="file" name="upload5">
										</div>
									</div>
								</div>
								<!-- /添付ファイルフォーム -->


								<!-- プライベートフォーム -->
								<div class="fluid accordion" style="margin-bottom: 2rem;">
									<div class="title"><i class="dropdown icon"></i> プライベートフォーム ( 阿修羅ワークスのみ閲覧可 ) </div>
									<div class="content">

										<div class="field">
											<label>プライベートメッセージ</label>
											<textarea name="private_content" placeholder="プライベートメッセージ"></textarea>
										</div>

									</div>
								</div>
								<!-- /プライベートフォーム -->


								<input type="hidden" name="category" value="{{item_id}}">

								<button class="ui primary fluid button new-thread-btn" data-category="{{item_id}}" data-form_type="question">新規スレッド</button>
							</form>
						</div>
						<!-- /疑問・悩みについての質問フォーム -->


					</div>
					<!-- /テンプレートアコーディオン -->




				</div>
			</div>
			<!-- /書き込みフォームアコーディオン -->


			<div class="ui grid">
				<div class="six wide column thread">
					<div class="ui message floating">
						読み込み中…
					</div>
				</div>
				<div class="ten wide column article">
					<div class="solution">
					</div>
					<div class="ui info message article-content">
						左サイドメニューから表示したいスレッドを選択して下さい
					</div>
					<div class="response">
					</div>

					<!-- 返信フォームアコーディオン -->
					<div class="fluid accordion reply-form" style="display: none;">
						<div class="title"><i class="dropdown icon"></i> 返信フォーム  <span style="font-size: 0.7rem; color: #ccc;">( {{item_name}} の返信はこちらから ) </span> </div>
						<div class="content">

							<div class="ui message">
								<form id="{{item_id}}-res" class="ui form">

									<div class="required field">
										<label>ニックネーム</label>
										<input name="nickname" placeholder="ニックネーム" type="text" value="{{nickname}}">
									</div>

									<div class="required field">
										<label>返信内容</label>
										<textarea name="comment_content" placeholder="返信内容"></textarea>
									</div>

									<!-- 添付ファイルフォーム -->
									<div class="fluid accordion" style="margin-bottom: 2rem;">
										<div class="title"><i class="dropdown icon"></i> 添付ファイル </div>
										<div class="content">

											<div class="field">
												<label>添付ファイル1 (5Mまで)</label>
												<input type="file" name="upload1">
											</div>
											<div class="field">
												<label>添付ファイル2 (5Mまで)</label>
												<input type="file" name="upload2">
											</div>
											<div class="field">
												<label>添付ファイル3 (5Mまで)</label>
												<input type="file" name="upload3">
											</div>
											<div class="field">
												<label>添付ファイル4 (5Mまで)</label>
												<input type="file" name="upload4">
											</div>
											<div class="field">
												<label>添付ファイル5 (5Mまで)</label>
												<input type="file" name="upload5">
											</div>
										</div>
									</div>
									<!-- /添付ファイルフォーム -->


									<!-- プライベートフォーム -->
									<div class="fluid accordion" style="margin-bottom: 2rem;">
										<div class="title"><i class="dropdown icon"></i> プライベートフォーム ( 阿修羅ワークスのみ閲覧可 ) </div>
										<div class="content">

											<div class="field">
												<label>プライベートコメント</label>
												<textarea name="private_comment" placeholder="プライベートコメント"></textarea>
											</div>

										</div>
									</div>
									<!-- /プライベートフォーム -->


									<input type="hidden" name="category" value="{{item_id}}">
									<input type="hidden" name="post_id" value="{{post_id}}">

									<button class="ui primary fluid button new-res-btn" data-category="{{item_id}}">返信する</button>
								</form>
							</div>

						</div>
					</div>
					<!-- /返信フォームアコーディオン -->



					<!-- 解決済みフォームアコーディオン -->
					<div class="fluid accordion solution-form" style="display: none;">
						<div class="title"><i class="dropdown icon"></i> 解決済みフォーム  <span style="font-size: 0.7rem; color: #ccc;">( {{item_name}} が解決したら [ 解決済み ] ボタンを押して下さい ) </span> </div>
						<div class="content">

							<div class="ui message">
								<form id="{{item_id}}-solution" class="ui form">

									<div class="field admin-password-filed">
										<label>パスワード</label>
										<input name="pass" placeholder="パスワード" type="password">
									</div>

									<input type="hidden" name="category" value="{{item_id}}">
									<input type="hidden" name="post_id" value="{{post_id}}">

									<button class="ui primary fluid button solution-btn" data-category="{{item_id}}">解決済み</button>
								</form>
							</div>

						</div>
					</div>
					<!-- /解決済みフォームアコーディオン -->


				</div>
			</div>

		</div>

EOM;
 $A_temp = array(); foreach( (array)$H_arg as $key => $val ) { $template_ = $template; $template_ = str_replace( '{{item_id}}' , $key , $template_ ); $template_ = str_replace( '{{item_name}}' , $val , $template_ );  foreach( (array)$H_user as $key2 => $val2 ) { $template_ = str_replace( '{{' . $key2 . '}}' , $val2 , $template_ ); } $A_temp[] = $template_; }  return preg_replace( '/\{\{.*?\}\}/' , '' , implode( "\n" , $A_temp ) ); }  function AJAX_SUPPORT_FORUM_VIEW_ARTICLE() { global $JP; $token = $_REQUEST[ 'token' ]; $post_id = esc_html( $_REQUEST[ 'post_id' ] ); $category = esc_html( $_REQUEST[ 'category' ] );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key\n" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }  $H_param = array ( 'cmd' => 'support-press_view_article' , 'post_id' => $post_id , 'ip' => $_SERVER[ 'REMOTE_ADDR' ] , 'ref' => $ref_url , 'ua' => $_SERVER[ 'HTTP_USER_AGENT' ] , ); $url = 'https://wp-plugin.info/';  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 15 , '' , 'POST' , $H_param );  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  if( $H_res[ 'status' ] != 'success' or ! $H_res ) { $H_array = array ( 'status' => 0 , 'msg' => 'スレッドがまだ無いか取得に失敗しました。' , 'article' => null , ); echo json_encode( $H_array ); exit; } $template = <<< EOM

<div class="article">
	<div class="header">{{post_title}}</div>
	<div class="ui fitted divider"></div>
	<div class="post-meta"><i class="user circle icon"></i>{{post_author_name}} <i class="calendar alternate outline icon"></i>{{post_date}} <i class="comment outline icon"></i>{{comment_count}} 件</div>
	<div class="ui fitted divider"></div>
	<div class="content">
		<pre>
{{post_content}}
		</pre>
	</div>
	<div class="ui fitted divider"></div>
	<div class="description">
		<i class="download icon"></i> {{uploads}}
	</div>

</div>

EOM;
 $outer_template = <<< EOM
<div class="ui positive message">
{{inner_template}}
</div>

EOM;
 $inner_template = <<< EOM

<div class="response">
	<div class="post-meta"><i class="user circle icon"></i>{{comment_author_name}} <i class="calendar alternate outline icon"></i>{{comment_date}}</div>
	<div class="content">
		<pre>
{{comment_content}}
		</pre>
	</div>
	<div class="ui fitted divider"></div>
	<div class="description">
		<i class="download icon"></i> {{uploads}}
	</div>

</div>


EOM;
  $H_res[ 'article' ][ 'post_title' ] = esc_html( $H_res[ 'article' ][ 'post_title' ] ); $H_res[ 'article' ][ 'post_content' ] = esc_html( $H_res[ 'article' ][ 'post_content' ] ); $H_res[ 'article' ][ 'comment_count' ] = esc_html( $H_res[ 'article' ][ 'comment_count' ] ); $H_res[ 'article' ][ 'post_author' ] = esc_html( $H_res[ 'article' ][ 'post_author' ] ); $H_res[ 'article' ][ 'post_author_name' ] = esc_html( $H_res[ 'article' ][ 'post_author_name' ] ); $H_res[ 'article' ][ 'post_date' ] = esc_html( $H_res[ 'article' ][ 'post_date' ] );  $H_res[ 'article' ][ 'post_content' ] = $this->SET_LINK( $H_res[ 'article' ][ 'post_content' ] );  $template = str_replace( '{{post_title}}' , $H_res[ 'article' ][ 'post_title' ] , $template ); $template = str_replace( '{{post_content}}' , $H_res[ 'article' ][ 'post_content' ] , $template ); $template = str_replace( '{{post_author}}' , $H_res[ 'article' ][ 'post_author' ] , $template ); $template = str_replace( '{{post_author_name}}' , $H_res[ 'article' ][ 'post_author_name' ] , $template ); $template = str_replace( '{{post_date}}' , $H_res[ 'article' ][ 'post_date' ] , $template ); $template = str_replace( '{{comment_count}}' , $H_res[ 'article' ][ 'comment_count' ] , $template );  if( isset( $H_res[ 'article' ][ 'uploads' ] ) and $H_res[ 'article' ][ 'uploads' ] ) {  $A_uploads = array(); foreach( (array)$H_res[ 'article' ][ 'uploads' ] as $num => $upload_url ) { if(! $upload_url ) { continue; } $num++;  $upload_url = '<a href="' . $upload_url . '" target="_blank">' . "添付ファイル$num" . '</a>'; $A_uploads[] = $upload_url; } $upload_lists = implode( " | " , $A_uploads );  $template = str_replace( '{{uploads}}' , $upload_lists , $template ); }  else { $template = str_replace( '{{uploads}}' , '添付ファイルはありません' , $template ); } $A_res = array();  foreach( (array)$H_res[ 'res' ] as $i => $H_com ) { $inner_template_ = $inner_template;  $H_com[ 'comment_content' ] = esc_html( $H_com[ 'comment_content' ] ); $H_com[ 'comment_author_name' ] = esc_html( $H_com[ 'comment_author_name' ] ); $H_com[ 'comment_author' ] = esc_html( $H_com[ 'comment_author' ] ); $H_com[ 'comment_date' ] = esc_html( $H_com[ 'comment_date' ] );  $H_com[ 'comment_content' ] = $this->SET_LINK( $H_com[ 'comment_content' ] );  $inner_template_ = str_replace( '{{comment_content}}' , $H_com[ 'comment_content' ] , $inner_template_ ); $inner_template_ = str_replace( '{{comment_author_name}}' , $H_com[ 'comment_author_name' ] , $inner_template_ ); $inner_template_ = str_replace( '{{comment_author}}' , $H_com[ 'comment_author' ] , $inner_template_ ); $inner_template_ = str_replace( '{{comment_date}}' , $H_com[ 'comment_date' ] , $inner_template_ );  if( isset( $H_com[ 'uploads' ] ) and $H_com[ 'uploads' ] ) {  $A_uploads = array(); foreach( (array)$H_com[ 'uploads' ] as $num => $upload_url ) { if(! $upload_url ) { continue; } $num++;  $upload_url = '<a href="' . $upload_url . '" target="_blank">' . "添付ファイル$num" . '</a>'; $A_uploads[] = $upload_url; } $upload_lists = implode( " | " , $A_uploads );  $inner_template_ = str_replace( '{{uploads}}' , $upload_lists , $inner_template_ ); }  else { $inner_template_ = str_replace( '{{uploads}}' , '添付ファイルはありません' , $inner_template_ ); } $A_res[] = $inner_template_; }  if( $A_res ) {  $response = str_replace( '{{inner_template}}' , implode( "<div class='ui divider'></div>\n" , $A_res ) , $outer_template ); }  else {  $response = str_replace( '{{inner_template}}' , 'まだ返信はありません。' , $outer_template ); }  $response = str_replace( '{{post_id}}' , $post_id , $response ); $response = str_replace( '{{item_id}}' , $category , $response ); $H_array = array ( 'status' => 1 , 'msg' => 'スレッドを取得しました。' , 'category' => $category , 'article' => $template , 'post_id' => $post_id , 'response' => $response , 'solution' => $H_res[ 'solution' ] , ); echo json_encode( $H_array ); exit; }  function AJAX_SUPPORT_FORUM_VIEW() { global $JP; $token = $_REQUEST[ 'token' ]; $category = esc_html( $_REQUEST[ 'category' ] );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key\n" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }  $H_param = array ( 'cmd' => 'support-press_view' , 'category' => $category , 'ip' => $_SERVER[ 'REMOTE_ADDR' ] , 'ref' => $ref_url , 'ua' => $_SERVER[ 'HTTP_USER_AGENT' ] , ); $url = 'https://wp-plugin.info/';  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 15 , '' , 'POST' , $H_param );  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  if( $H_res[ 'status' ] != 'success' or ! $H_res ) { $H_array = array ( 'status' => 0 , 'msg' => 'スレッドがまだ無いか取得に失敗しました。' , 'threads' => null , ); echo json_encode( $H_array ); exit; } $outer_template = <<< EOM

<div class="ui relaxed divided list article-lists">
{{inner_template}}
</div>

EOM;
 $inner_template = <<< EOM

	<div class="item">
		<i class="large middle aligned pen square icon"></i>
		<div class="content">
			<a class="post_link" data-post_id="{{post_id}}" data-category="{{category}}">{{post_title}}</a><span style="color: #db2828;">{{solution}}</span>
			 <div class="post-meta"><i class="user circle icon"></i>{{post_author_name}} <i class="calendar alternate outline icon"></i>{{post_date}}</div>
			<div class="description post-meta">{{comment_count}} 件の返信</div>
		</div>
	</div>


EOM;
  $A_threads = array();  foreach( (array)$H_res[ 'A_posts' ] as $i => $H_post ) { $inner_template_ = $inner_template;  $H_post[ 'ID' ] = esc_html( $H_post[ 'ID' ] ); $H_post[ 'post_title' ] = esc_html( $H_post[ 'post_title' ] ); $H_post[ 'post_author' ] = esc_html( $H_post[ 'post_author' ] ); $H_post[ 'post_author_name' ] = esc_html( $H_post[ 'post_author_name' ] ); $H_post[ 'post_date' ] = esc_html( $H_post[ 'post_date' ] ); $H_post[ 'comment_count' ] = esc_html( $H_post[ 'comment_count' ] ); $H_post[ 'solution' ] = esc_html( $H_post[ 'solution' ] );  $inner_template_ = str_replace( '{{post_title}}' , $H_post[ 'post_title' ] , $inner_template_ ); $inner_template_ = str_replace( '{{post_id}}' , $H_post[ 'ID' ] , $inner_template_ ); $inner_template_ = str_replace( '{{post_author}}' , $H_post[ 'post_author' ] , $inner_template_ ); $inner_template_ = str_replace( '{{post_author_name}}' , $H_post[ 'post_author_name' ] , $inner_template_ ); $inner_template_ = str_replace( '{{post_date}}' , $H_post[ 'post_date' ] , $inner_template_ ); $inner_template_ = str_replace( '{{comment_count}}' , $H_post[ 'comment_count' ] , $inner_template_ ); $inner_template_ = str_replace( '{{solution}}' , $H_post[ 'solution' ] , $inner_template_ ); $inner_template_ = str_replace( '{{category}}' , $category , $inner_template_ ); $A_threads[] = $inner_template_; }  if( $A_threads ) {  $outer_template = str_replace( '{{inner_template}}' , implode( "\n" , $A_threads ) , $outer_template ); }  else { $outer_template = 'スレッドがまだありません。'; } $H_array = array ( 'status' => 1 , 'msg' => 'スレッドリストを取得しました。' , 'category' => $category , 'threads' => $outer_template , ); echo json_encode( $H_array ); exit; }  function AJAX_SUPPORT_FORUM_WRITE() { global $JP; $token = $_REQUEST[ 'token' ]; $category = esc_html( $_REQUEST[ 'category' ] ); $nickname = esc_html( $_REQUEST[ 'nickname' ] ); $form_type = esc_html( $_REQUEST[ 'form_type' ] ); $name1 = esc_html( $_REQUEST[ 'name1' ] ); $name2 = esc_html( $_REQUEST[ 'name2' ] ); $mail = esc_html( $_REQUEST[ 'mail' ] ); $post_title = esc_html( $_REQUEST[ 'post_title' ] ); $post_content = esc_html( $_REQUEST[ 'post_content' ] ); $private_content = esc_html( $_REQUEST[ 'private_content' ] );  $body_content = $post_content . $private_content; $q1_1 = esc_html( $_REQUEST[ 'q1_1' ] ); $q1_2 = esc_html( $_REQUEST[ 'q1_2' ] ); $q1_3 = esc_html( $_REQUEST[ 'q1_3' ] ); $q1_4 = esc_html( $_REQUEST[ 'q1_4' ] ); $q1_5 = esc_html( $_REQUEST[ 'q1_5' ] ); $q1_6 = esc_html( $_REQUEST[ 'q1_6' ] ); $q1_7 = esc_html( $_REQUEST[ 'q1_7' ] ); $q1_8 = esc_html( $_REQUEST[ 'q1_8' ] ); $q2_1 = esc_html( $_REQUEST[ 'q2_1' ] ); $q2_2 = esc_html( $_REQUEST[ 'q2_2' ] ); $q2_3 = esc_html( $_REQUEST[ 'q2_3' ] ); $q2_4 = esc_html( $_REQUEST[ 'q2_4' ] ); $q2_5 = esc_html( $_REQUEST[ 'q2_5' ] ); $q2_6 = esc_html( $_REQUEST[ 'q2_6' ] );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key\n" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }   if( $form_type == 'free' ) { if(! $category or ! $nickname or ! $post_title or ! $post_content ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '未入力の情報があるため処理を中断しました!' ) ); echo $response; exit; } $template = <<< EOM
{{post_content}}

EOM;
  $template = str_replace( '{{post_content}}' , $post_content , $template ); }  else if( $form_type == 'control' ) { if(! $category or ! $nickname or ! $post_title or $q1_1 == '' or $q1_2 == '' or $q1_3 == '' or ! $q1_4 or ! $q1_5 or ! $q1_6 or ! $q1_7 ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '未入力の情報があるため処理を中断しました!' ) ); echo $response; exit; } $q1_1 = $q1_1 ? "はい" : "いいえ"; $q1_2 = $q1_2 ? "はい" : "いいえ"; $q1_3 = $q1_3 ? "はい" : "いいえ"; $q1_8 = $q1_8 ? "はい" : "いいえ"; $template = <<< EOM
【その疑問や悩みについてネット検索で調査済みですか？】

{{q1_1}}


【その疑問や悩みはマニュアルには載っていないことですか？】

{{q1_2}}


【最小テストは試しましたか？】

{{q1_8}}


【阿修羅ワークスのプラグインは全て最新ですか？】

{{q1_3}}


【結果として今どうなっていますか？】

{{q1_4}}


【何をしたらそうなったか直前の操作や変更箇所について教えて下さい。】

{{q1_5}}


【以前はどのような状態でしたか？】

{{q1_6}}


【どのような状態になればいいと考えていますか？】

{{q1_7}}

EOM;
  $template = str_replace( '{{q1_1}}' , $q1_1 , $template ); $template = str_replace( '{{q1_2}}' , $q1_2 , $template ); $template = str_replace( '{{q1_3}}' , $q1_3 , $template ); $template = str_replace( '{{q1_4}}' , $q1_4 , $template ); $template = str_replace( '{{q1_5}}' , $q1_5 , $template ); $template = str_replace( '{{q1_6}}' , $q1_6 , $template ); $template = str_replace( '{{q1_7}}' , $q1_7 , $template ); $template = str_replace( '{{q1_8}}' , $q1_8 , $template ); }  else if( $form_type == 'question' ) { if(! $category or ! $nickname or ! $post_title or $q2_1 == '' or $q2_2 == '' or $q2_3 == '' or ! $q2_4 or ! $q2_5 ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '未入力の情報があるため処理を中断しました!' ) ); echo $response; exit; } $q2_1 = $q2_1 ? "はい" : "いいえ"; $q2_2 = $q2_2 ? "はい" : "いいえ"; $q2_3 = $q2_3 ? "はい" : "いいえ"; $q2_6 = $q2_6 ? "はい" : "いいえ"; $template = <<< EOM
【その疑問や悩みについてネット検索で調査済みですか？】

{{q2_1}}


【その疑問や悩みはマニュアルには載っていないことですか？】

{{q2_2}}


【最小テストは試しましたか？】

{{q2_6}}


【阿修羅ワークスのプラグインは全て最新ですか？】

{{q2_3}}


【あなたが疑問や悩みに感じていることについて教えて下さい】

{{q2_4}}


【それを疑問や悩みに思ったキッカケについて教えて下さい】

{{q2_5}}

EOM;
  $template = str_replace( '{{q2_1}}' , $q2_1 , $template ); $template = str_replace( '{{q2_2}}' , $q2_2 , $template ); $template = str_replace( '{{q2_3}}' , $q2_3 , $template ); $template = str_replace( '{{q2_4}}' , $q2_4 , $template ); $template = str_replace( '{{q2_5}}' , $q2_5 , $template ); $template = str_replace( '{{q2_6}}' , $q2_6 , $template ); }  $post_content = preg_replace( '/\{\{.*?\}\}/' , '' , $template );  $H_uploads = $this->UPLOAD_FILE_SAVE( $max_size = 5000000 , $local_flag = 1 );  $this->UPDATE_USER_INFO( $item_name , $nickname ); $SystemInfo = new mhs_SystemInfo();  list( $raw_data , $server_info , $wp_info , $theme_info , $plugin_info ) = $SystemInfo->GET_SYSTEM_INFO();  $private_content = $raw_data . "\n" . $private_content;  $H_param = array ( 'cmd' => 'support-press_write_article' , 'category' => $category , 'nickname' => $nickname , 'name1' => $name1 , 'name2' => $name2 , 'ip' => $_SERVER[ 'REMOTE_ADDR' ] , 'ref' => $ref_url , 'ua' => $_SERVER[ 'HTTP_USER_AGENT' ] , 'mail' => $mail , 'post_title' => $post_title , 'post_content' => $post_content , 'body_content' => $body_content , 'private_content'=> $private_content , 'H_uploads' => $H_uploads , ); $url = 'https://wp-plugin.info/';  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 15 , '' , 'POST' , $H_param );  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  if(! $H_res[ 'status' ] or ! $H_res ) { $H_array = array ( 'status' => 0 , 'msg' => 'スレッドの作成に失敗しました。' , 'category' => $category , ); echo json_encode( $H_array ); exit; }  else if( $H_res[ 'status' ] == 'notuser' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , ); echo json_encode( $H_array ); exit; }  else if( $H_res[ 'status' ] == 'nodata' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , ); echo json_encode( $H_array ); exit; }  else if( $H_res[ 'status' ] != 'success' ) { $H_array = array ( 'status' => 0 , 'msg' => '何らかの原因でスレッドの作成に失敗しました。' , 'category' => $category , ); echo json_encode( $H_array ); exit; } $H_array = array ( 'status' => 1 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , ); echo json_encode( $H_array ); exit; }  function AJAX_SUPPORT_FORUM_WRITE_RES() { global $JP; $token = $_REQUEST[ 'token' ]; $category = esc_html( $_REQUEST[ 'category' ] ); $nickname = esc_html( $_REQUEST[ 'nickname' ] ); $name1 = esc_html( $_REQUEST[ 'name1' ] ); $name2 = esc_html( $_REQUEST[ 'name2' ] ); $mail = esc_html( $_REQUEST[ 'mail' ] ); $comment_content = esc_html( $_REQUEST[ 'comment_content' ] ); $private_comment = esc_html( $_REQUEST[ 'private_comment' ] ); $post_id = esc_html( $_REQUEST[ 'post_id' ] );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key\n" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }  $H_uploads = $this->UPLOAD_FILE_SAVE( $max_size = 5000000 , $local_flag = 1 );  $this->UPDATE_USER_INFO( $item_name , $nickname );  $H_param = array ( 'cmd' => 'support-press_write_res' , 'category' => $category , 'name1' => $name1 , 'name2' => $name2 , 'nickname' => $nickname , 'mail' => $mail , 'post_id' => $post_id , 'comment_content' => $comment_content , 'private_comment' => $private_comment , 'ip' => $_SERVER[ 'REMOTE_ADDR' ] , 'ref' => $ref_url , 'ua' => $_SERVER[ 'HTTP_USER_AGENT' ] , 'H_uploads' => $H_uploads , ); $url = 'https://wp-plugin.info/';  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 15 , '' , 'POST' , $H_param );  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  if(! $H_res[ 'status' ] or ! $H_res ) { $H_array = array ( 'status' => 0 , 'msg' => '返信に失敗しました。' , 'category' => $category , 'post_id' => $post_id , 'comment_id'=> null , ); echo json_encode( $H_array ); exit; }  else if( $H_res[ 'status' ] == 'notuser' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'comment_id'=> null , ); echo json_encode( $H_array ); exit; } else if( $H_res[ 'status' ] == 'nodata' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'comment_id'=> null , ); echo json_encode( $H_array ); exit; } else if( $H_res[ 'status' ] == 'solved' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'comment_id'=> null , ); echo json_encode( $H_array ); exit; } else if( $H_res[ 'status' ] != 'success' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'comment_id'=> null , ); echo json_encode( $H_array ); exit; } $H_array = array ( 'status' => 1 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'comment_id'=> $H_res[ 'comment_id' ] , ); echo json_encode( $H_array ); exit; }  function AJAX_SUPPORT_FORUM_SOLUTION() { global $JP; $token = $_REQUEST[ 'token' ]; $category = esc_html( $_REQUEST[ 'category' ] ); $name1 = esc_html( $_REQUEST[ 'name1' ] ); $name2 = esc_html( $_REQUEST[ 'name2' ] ); $mail = esc_html( $_REQUEST[ 'mail' ] ); $post_id = esc_html( $_REQUEST[ 'post_id' ] ); $pass = esc_html( $_REQUEST[ 'pass' ] );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key\n" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }  $H_param = array ( 'cmd' => 'support-press_solution' , 'category' => $category , 'name1' => $name1 , 'name2' => $name2 , 'mail' => $mail , 'post_id' => $post_id , 'pass' => $pass , 'ip' => $_SERVER[ 'REMOTE_ADDR' ] , 'ref' => $ref_url , 'ua' => $_SERVER[ 'HTTP_USER_AGENT' ] , ); $url = 'https://wp-plugin.info/';  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 15 , '' , 'POST' , $H_param );  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  if(! $H_res[ 'status' ] or ! $H_res ) { $H_array = array ( 'status' => 0 , 'msg' => '解決済み処理に失敗しました。' , 'category' => $category , 'post_id' => $post_id , 'solution' => null , ); echo json_encode( $H_array ); exit; }  else if( $H_res[ 'status' ] == 'notuser' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'solution' => null , ); echo json_encode( $H_array ); exit; } else if( $H_res[ 'status' ] == 'nodata' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'solution' => null , ); echo json_encode( $H_array ); exit; } else if( $H_res[ 'status' ] != 'success' ) { $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'solution' => null , ); echo json_encode( $H_array ); exit; } $H_array = array ( 'status' => 1 , 'msg' => $H_res[ 'msg' ] , 'category' => $category , 'post_id' => $post_id , 'solution' => $H_res[ 'solution' ] , ); echo json_encode( $H_array ); exit; }  function AJAX_AUTHENTICATION() { global $JP; $token = $_REQUEST[ 'token' ]; $name1 = esc_html( $_REQUEST[ 'name1' ] ); $name2 = esc_html( $_REQUEST[ 'name2' ] ); $mail = esc_html( $_REQUEST[ 'mail' ] ); $nickname = esc_html( $_REQUEST[ 'nickname' ] );  $url = 'https://wp-plugin.info/';  $type = 'pl';   $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  if(! wp_verify_nonce( $token , $nounce_key ) ) {  $this->DMPF( "$token , $nounce_key\n" , "nonce_error.txt" , 1 ); exit; }  header( "Content-Type: application/json" );  if(! current_user_can( 'manage_options' ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => '管理者権限がありませんでした!' ) ); echo $response; exit; }  if(! is_email( $mail ) ) {  $response = json_encode( array( 'status' => 'error' , 'msg' => 'メールアドレスが正しい形式ではありませんでした!' ) ); echo $response; exit; }  $H_arg = array ( 'type' => $type , 'item_name' => $item_name , 'ref_url' => $ref_url , 'name1' => $name1 , 'name2' => $name2 , 'nickname' => $nickname , 'mail' => $mail , 'date' => date_i18n( 'U' ) , 'REQUEST' => $_REQUEST , );  $H_param = array ( 'cmd' => 'support-press_authentication' , 'item' => $H_arg , 'type' => $type , 'date' => date_i18n( 'U' ) , 'ip' => $_SERVER[ 'REMOTE_ADDR' ] , 'ref' => $ref_url , 'ua' => $_SERVER[ 'HTTP_USER_AGENT' ] , );  list( $code , $response ) = $JP->GET_REMOTE_SITE( $url , 15 , '' , 'POST' , $H_param );  $body = wp_remote_retrieve_body( $response );  $H_res = json_decode( $body , true );  $option_name = $item_name . '-' . 'authentication';  $JP->UPDATE_OPTION( $option_name , $H_res ); echo json_encode( $H_res ); exit; }  function SET_LINK( $string = '' ) {  $pat = '/((?:https?):\/\/[-_.!~*\'()a-zA-Z0-9;\/?:@&=+$,%#]+)/';  preg_match_all( $pat , $string , $A_matches ); $LINK_FORMAT = '<div class="support-press-link-wrapper"><a href="{{url}}" class="support-press-link" target="_blank" rel="noopener">{{url}}</a></div>';  foreach( $A_matches[1] as $url ) {  $link_ = $LINK_FORMAT;  $link = str_replace( '{{url}}' , $url , $link_ );  $string = str_replace( $url , $link , $string ); } return $string; }  function AUTHENTICATION() { global $JP;  if(! $JP->ADMIN_WARNING() ) { return; }  $Common_PrintOut = new mhs_Common_PrintOut();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Semantic UI' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $nounce_key = $item_name;  if( $this->CHECK_MEMBER() ) {  $forum_link = 'admin.php?page=mhs-joint-press%2Fclass%2Fmhs_support.php'; ?>
<div class="wrap">
	<h2 class="page-title">サポートフォーラムの利用申請</h2>

		<h4 class="ui dividing header">既に利用申請済みです。サポートフォーラムがご利用頂けます。こちらから<a href="<?php echo $forum_link; ?>">サポートフォーラム</a>をご利用下さい。</h4>

		<div class="ui negative message">
			<p>フォーラムはプラグイン購入経験者のみ申請が可能です。</p>
		</div>

</div>
<?php
 return; } ?>

<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error">
  <i class="close icon"></i>

  <div class="header">入力エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">入力ミスがあります</div>

      <p>名前またはメールアドレスが正しく入力されていませんでした。再度確認した上で入力をお願いします。</p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>

<!-- ajax通信結果モーダルダイアログ -->
<div class="ui modal ajax-result">
  <i class="close icon"></i>

  <div class="header">申請結果</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<script type="text/javascript">

jQuery( function( $ )
{

	$( '#button' ).click( function()
	{
		//モーダルを初期化
		$( '.ui.modal.ajax-result .content p' ).empty();


		var $mail		= $( '#mail' ).val();
		var $name1		= $( '#name1' ).val();
		var $name2		= $( '#name2' ).val();
		var $nickname	= $( '#nickname' ).val();

		//メールアドレスの形式でなければ
		if(! $mail.match( /^[-a-z0-9~!$%^&*_=+}{?]+(\.[-a-z0-9~!$%^&*_=+}{?]+)*@([a-z0-9_][-a-z0-9_]*(\.[-a-z0-9_]+)*\.(aero|arpa|biz|com|coop|edu|gov|info|int|mil|museum|name|net|org|pro|travel|mobi|[a-z][a-z])|([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}))(:[0-9]{1,5})?$/i ) )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error' ).modal( 'show' );

			return false;
		}

		//メールまたは名前が入力されていなければ
		if(! $mail || ! $name1 || ! $name2 )
		{
			//モーダルダイアログを表示
			$( '.ui.modal.input-error' ).modal( 'show' );

			return false;
		}


		data = 
		{
			action	 	: '<?php echo $item_name; ?>-user_authentication' ,	//アクションフックに紐付けする名前
			mail		: $mail ,
			name1		: $name1 ,
			name2		: $name2 ,
			nickname	: $nickname ,
			token		: <?php echo '"' . wp_create_nonce( $nounce_key ) . '"'; ?> 
		};


		$.ajax(
		{
			url		: "<?php echo admin_url( 'admin-ajax.php' ); ?>" ,
			type	: 'POST' ,
			cache	: false ,
			timeout		: 5000 ,
			data	: data
		})
		.success( function( data , state )
		{
			//書き換え
			$( '.ui.modal.ajax-result .content p' ).html( data.msg );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			//書き換え
			$( '.ui.modal.ajax-result .content p' ).html( "通信処理は失敗しました" );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-result' ).modal( 'show' );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});

	});

});
</script>


<div class="wrap">
	<h2 class="page-title">サポートフォーラムの利用申請</h2>

	<div class="ui form" style="margin-top: 2rem;">
		<h4 class="ui dividing header">プラグイン認証時のユーザー情報を正しく入力して下さい</h4>

		<div class="ui negative message">
			<p>フォーラムはプラグイン購入経験者のみ申請が可能です。</p>
		</div>

		<div class="two fields">
			<div class="required field">
			<label>苗字</label>
				<input id="name1" placeholder="苗字" type="text">
			</div>
		</div>

		<div class="two fields">
			<div class="required field">
			<label>名前</label>
				<input id="name2" placeholder="名前" type="text">
			</div>
		</div>

		<div class="two fields">
			<div class="required field">
			<label>メールアドレス</label>
				<input id="mail" placeholder="メールアドレス" type="text">
			</div>
		</div>

		<div class="two fields">
			<div class="field">
			<label>ニックネーム</label>
				<input id="nickname" placeholder="ニックネーム" type="text">
			</div>
		</div>

		<button id="button" class="ui primary button">申請</button>

	</div>

</div>

<?php
 }  function CHECK_MEMBER() { global $JP;  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $option_name = $item_name . '-' . 'authentication';  $H_auth = $JP->GET_OPTION( $option_name );  if( isset( $H_auth[ 'status' ] ) and $H_auth[ 'status' ] != 'error' ) { return $H_auth[ 'H_user' ]; } return false; }  function UPLOAD_FILE_SAVE( $max_size = 5000000 , $local_flag = 1 ) {  $srv_add = $_SERVER[ 'SERVER_ADDR' ];  $url = ( empty($_SERVER['HTTPS']) ? 'http://' : 'https://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];  if( $local_flag and ( strpos( $url , 'localhost' ) !== false or $srv_add == '::1' ) ) { return array(); }  $H_dir = wp_upload_dir(); $upload_dir = $H_dir[ 'path' ]; $upload_url = $H_dir[ 'url' ]; $A_upload = array( 'upload1' , 'upload2' , 'upload3' , 'upload4' , 'upload5' ); $H_uploads = array();  foreach( (array)$A_upload as $upload_name ) {  if( $_FILES[ $upload_name ][ 'tmp_name' ] and $_FILES[ $upload_name ][ 'size' ] <= $max_size ) {  list( $file_name , $file_type ) = explode( '.' , $_FILES[ $upload_name ][ 'name' ] );  $uniq_name = wp_unique_filename( $upload_dir , $file_name . '.' . $file_type );  $save_path = $upload_dir . '/' . $uniq_name;  $save_url = $upload_url . '/' . $uniq_name;  if( move_uploaded_file( $_FILES[ $upload_name ][ 'tmp_name' ] , $save_path ) ) {  chmod( $save_path , 0644 );  $H_uploads[] = $save_url; } } } return $H_uploads; }  function UPDATE_USER_INFO( $item_name , $nickname = null ) { if(! $nickname ) { return; } global $JP;  $option_name = $item_name . '-' . 'authentication';  $H_auth = $JP->GET_OPTION( $option_name ); $H_auth[ 'H_user' ][ 'nickname' ] = $nickname;  return $JP->UPDATE_OPTION( $option_name , $H_auth ); }  function ADMIN_DASHBOARD_MENU() {  $H_menus = array ( '利用申請' => 'SupportPress-Authentication' , 'フォーラム' => 'mhs-joint-press%2Fclass%2Fmhs_support.php' , ); ?>

<div class="dashboard-shortcut-menu-wrapper">

<?php
  foreach( (array)$H_menus as $label => $link ) { $url = get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=' . $link; ?>
	<a href="<?php echo $url; ?>">
		<div class="dashboard-shortcut-menu">
			<?php echo $label; ?>
		</div>
	</a>
<?php
 } ?>

</div>

<style>

.dashboard-shortcut-menu-wrapper
{
	display: flex;
	flex-wrap:wrap;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;

}
.dashboard-shortcut-menu
{
	display: flex;
	justify-content: center;
	align-items: center;

	background: linear-gradient(to bottom, #ffffff 0%,#f3f3f3 50%,#ededed 51%,#ffffff 100%);

	width: 120px;
	height: 120px;

	border: 1px solid #bbb;
	border-radius: 8px;

	box-shadow: 2px 2px 4px -2px #ececec;

	padding: 0.5rem;
	margin: 5px;
}
.dashboard-shortcut-menu:hover
{
	background: linear-gradient(to bottom, #f6f8f9 0%,#e5ebee 50%,#d7dee3 51%,#f5f7f9 100%);
}
.dashboard-shortcut-menu-wrapper a
{
	color: #333;
	text-decoration: none;
}
</style>

<?php
 }  function ADMIN_MENU( $menu_prefix = 'サポートフォーラム' ) {  $this->ADD_MENU( $menu_prefix , 8 , __FILE__ , $this , 'SUPPORT' , 'dashicons-buddicons-buddypress-logo' );  $this->ADD_SUBMENU( $menu_prefix , 'フォーラム' , 8 , __FILE__ , $this , 'SUPPORT' ); $this->ADD_SUBMENU( $menu_prefix , '利用申請' , 8 , 'SupportPress-Authentication' , $this , 'AUTHENTICATION' ); }  function ADD_MENU( $menu_prefix , $level , $pid , $class_name , $do_func , $icon ) {  add_menu_page ( $menu_prefix . ' - 設定' ,  $menu_prefix ,  $level ,  $pid ,  array( &$class_name , $do_func ),  $icon  ); }  function ADD_SUBMENU( $menu_prefix , $menu_title , $level , $pid , $class_name , $do_func ) {  add_submenu_page ( __FILE__,  $menu_prefix ." - $menu_title",  $menu_title ,  $level ,  $pid ,  array( &$class_name , $do_func ) ); }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } }