<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: 阿修羅ワークスのアフィリエイトクラス。
Version: 0.3.1
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2019-12-28
Changelog: ポケットプレスとタンブラープレスを追加
2019-12-28 0.3 ポケットプレスとタンブラープレスを追加
2019-02-02 0.1 初リリース
*/
 class mhs_widget_affiliate {  public $NOUNCE_KEY = 'joint-press'; public $OPTION_KEY = 'joint-press-affiliate'; public $URL = 'https://wp-plugin.info/';  function AFFILIATE() { global $JP;    $plugin_dir_url = $JP->GET_WP_URL( 'plugins_url' , dirname( __FILE__ ) );  $base_img_url = $plugin_dir_url . '/images/';  $H_aff = $JP->GET_OPTION( $this->OPTION_KEY ); ?>

<style>
.tabular.menu a
{
	font-size: 0.8rem;
}
.ui.memo .item
{
	font-size: 0.8rem;
}
#affiliate-tool-header
{
	display: none;
}
#output-link
{
	color: blue;
	font-size: 0.8rem;
}
</style>

<div class="ui top attached tabular menu">
	<a class="active item" data-tab="first">リンク発行ツール</a>
	<a class="item" data-tab="second">口座情報登録</a>
	<a class="item" data-tab="third">アフィリエイトガイド</a>
</div>
<div class="ui bottom attached active tab segment" data-tab="first">

<?php
  if(! $H_aff ) { ?>

	<p>口座情報の登録を先にして下さい。</p>

<?php
 }  else { ?>

	<div id="affiliate-tool-header" class="ui attached message">
		<div class="header aligned center">発行されたリンク</div>
		<div class="ui form">
			<div class="field">
				<textarea type="text" id="output-link"></textarea>
			</div>
		</div>
		<p>リンクをコピーしてアフィリエイトしたいサイトで使用して下さい。<br>
		リンクは構造を変えない限りは自由に改変可能です。</p>
		<p>ダミー購入テスト用リンクで自分でアフィリエイトのテスト購入ができます。銀行振込を選択して決済して下さい。</p>
	</div>
	<form id="affiliate-tool-form" class="ui form attached fluid segment">
		<div class="field">
			<label>アフィリエイトID</label>
			<input type="text" name="afid" value="<?php echo $H_aff[ 'afid' ]; ?>" placeholder="アフィリエイトID">
		</div>
		<div class="field">
			<label>商品</label>
			<select class="ui search dropdown" name="item">
				<option value="" selected>商品名を選択して下さい</option>
				<option value="wp-pl001::ゲッツ・イン">ゲッツ・イン</option>
				<option value="wp-pl002::マルコフリライトサマライザー">マルコフリライトサマライザー</option>
				<option value="wp-pl003::WP RSS Scrapeing Post">WP RSS Scrapeing Post</option>
				<option value="wp-pl004::ユーチューバープレス">ユーチューバープレス</option>
				<option value="wp-pl005::デリートプレス">デリートプレス</option>
				<option value="wp-pl006::ツイートプレス">ツイートプレス</option>
				<option value="wp-pl007::WP Go2 Twitter">WP Go2 Twitter</option>
				<option value="wp-pl008::オートツイッターフォロー">オートツイッターフォロー</option>
				<option value="wp-pl009::オートブログリライト">オートブログリライト</option>
				<option value="wp-pl010::マジカルリライトポスト">マジカルリライトポスト</option>
				<option value="wp-pl011::コピペチェックプレス">コピペチェックプレス</option>
				<option value="wp-pl012::サムネイルプレス">サムネイルプレス</option>

				<option value="wp-pl013::ステルスリダイレクトプレス">ステルスリダイレクトプレス</option>
				<option value="wp-pl014::翻訳プレス">翻訳プレス</option>
				<option value="wp-pl015::タンブラープレス">タンブラープレス</option>
				<option value="wp-pl016::ポケットプレス">ポケットプレス</option>

			</select>

		</div>

		<button id="affiliate-toolt-btn" class="ui positive fluid button" type="button">発　行</button>
	</form>

<?php
 } ?>

</div>
<div class="ui bottom attached tab segment" data-tab="second">

	<div class="ui attached message">
		<div class="header aligned center">すべての項目を記入して下さい </div>
		<div class="ui bulleted list memo">
			<div class="item">アフィリエイトIDはメールアドレスが基準となります。変更がないメールアドレスを登録して下さい。</div>
			<div class="item">メールアドレスを変更するとアフィリエイトIDが変更され古いアフィリエイトリンクが使えなくなります。</div>
			<div class="item">登録者情報が不正確または存在しない場合は報酬が支払われない可能性がありますのでご注意下さい。</div>
			<div class="item">口座情報は正確に記入して下さい。間違っている場合は振込ができなくなります。</div>
			<div class="item">登録内容は上書き保存されます。</div>
		</div>
	</div>
	<form id="affiliate-form" class="ui form attached fluid segment">
		<div class="field">
			<label>メールアドレス</label>
			<input type="text" name="mail" value="<?php echo $H_aff[ 'mail' ]; ?>" placeholder="メールアドレス">
		</div>
		<div class="field">
			<label>氏名または法人名</label>
			<input type="text" name="name" value="<?php echo $H_aff[ 'name' ]; ?>" placeholder="氏名または法人名">
		</div>
		<div class="field">
			<label>郵便番号(ハイフン必要)</label>
			<input type="text" name="zip_code" value="<?php echo $H_aff[ 'zip_code' ]; ?>" placeholder="郵便番号(ハイフン必要)">
		</div>
		<div class="field">
			<label>住所1(都道府県)</label>

			<select class="ui search dropdown" name="add1">
				<option value="<?php echo $H_aff[ 'add1' ]; ?>" selected><?php echo $H_aff[ 'add1' ]; ?></option>
				<option value="北海道">北海道</option>
				<option value="青森県">青森県</option>
				<option value="岩手県">岩手県</option>
				<option value="宮城県">宮城県</option>
				<option value="秋田県">秋田県</option>
				<option value="山形県">山形県</option>
				<option value="福島県">福島県</option>
				<option value="茨城県">茨城県</option>
				<option value="栃木県">栃木県</option>
				<option value="群馬県">群馬県</option>
				<option value="埼玉県">埼玉県</option>
				<option value="千葉県">千葉県</option>
				<option value="東京都">東京都</option>
				<option value="神奈川県">神奈川県</option>
				<option value="新潟県">新潟県</option>
				<option value="富山県">富山県</option>
				<option value="石川県">石川県</option>
				<option value="福井県">福井県</option>
				<option value="山梨県">山梨県</option>
				<option value="長野県">長野県</option>
				<option value="岐阜県">岐阜県</option>
				<option value="静岡県">静岡県</option>
				<option value="愛知県">愛知県</option>
				<option value="三重県">三重県</option>
				<option value="滋賀県">滋賀県</option>
				<option value="京都府">京都府</option>
				<option value="大阪府">大阪府</option>
				<option value="兵庫県">兵庫県</option>
				<option value="奈良県">奈良県</option>
				<option value="和歌山県">和歌山県</option>
				<option value="鳥取県">鳥取県</option>
				<option value="島根県">島根県</option>
				<option value="岡山県">岡山県</option>
				<option value="広島県">広島県</option>
				<option value="山口県">山口県</option>
				<option value="徳島県">徳島県</option>
				<option value="香川県">香川県</option>
				<option value="愛媛県">愛媛県</option>
				<option value="高知県">高知県</option>
				<option value="福岡県">福岡県</option>
				<option value="佐賀県">佐賀県</option>
				<option value="長崎県">長崎県</option>
				<option value="熊本県">熊本県</option>
				<option value="大分県">大分県</option>
				<option value="宮崎県">宮崎県</option>
				<option value="鹿児島県">鹿児島県</option>
				<option value="沖縄県">沖縄県</option>
			</select>

		</div>
		<div class="field">
			<label>住所2(市区町村名)</label>
			<input type="text" name="add2" value="<?php echo $H_aff[ 'add2' ]; ?>" placeholder="住所2(市区町村名)">
		</div>
		<div class="field">
			<label>住所3(市区町村名以降の住所)</label>
			<input type="text" name="add3" value="<?php echo $H_aff[ 'add3' ]; ?>" placeholder="住所3(市区町村名以降の住所)">
		</div>
		<div class="field">
			<label>電話番号</label>
			<input type="text" name="tel" value="<?php echo $H_aff[ 'tel' ]; ?>" placeholder="電話番号">
		</div>

		<h4 class="ui horizontal divider header"><i class="dollar sign icon"></i>口座情報</h4>

		<div class="field">
			<label>銀行名</label>
			<input type="text" name="bank_name" value="<?php echo $H_aff[ 'bank_name' ]; ?>" placeholder="銀行名">
		</div>
		<div class="field">
			<label>支店名</label>
			<input type="text" name="branch_name" value="<?php echo $H_aff[ 'branch_name' ]; ?>" placeholder="支店名">
		</div>

		<div class="inline fields">
			<label for="fruit">口座種目: </label>
			<div class="field">
				<div class="ui radio checkbox">
					<input type="radio" name="account_type" value="<?php echo $H_aff[ 'account_type' ]; ?>" checked="" class="hidden">
					<label><?php echo $H_aff[ 'account_type' ]; ?></label>
				</div>
			</div>
			<div class="field">
				<div class="ui radio checkbox">
					<input type="radio" name="account_type" value="普通" class="hidden">
					<label>普通</label>
				</div>
			</div>
			<div class="field">
				<div class="ui radio checkbox">
					<input type="radio" name="account_type" value="当座" class="hidden">
					<label>当座</label>
				</div>
			</div>
		</div>

		<div class="field">
			<label>口座番号</label>
			<input type="text" name="account_number" value="<?php echo $H_aff[ 'account_number' ]; ?>" placeholder="口座番号">
		</div>
		<div class="field">
			<label>口座名義人</label>
			<input type="text" name="account_holder" value="<?php echo $H_aff[ 'account_holder' ]; ?>" placeholder="口座名義人">
		</div>
		<div class="field">
			<label>口座名義人読み方(ひらがなで記入)</label>
			<input type="text" name="account_holder2" value="<?php echo $H_aff[ 'account_holder2' ]; ?>" placeholder="口座名義人読み方">
		</div>

		<div class="field">
			<div class="ui checkbox">
				<input type="checkbox" name="terms" value="1" class="hidden">
				<label>私は利用規約に同意します</label>
			</div>
		</div>
		<button id="affiliate-regist-btn" class="ui positive fluid button" type="button">登　録</button>
	</form>


</div>
<div class="ui bottom attached tab segment" data-tab="third">

	<div class="ui styled accordion">
		<div class="title"><i class="dropdown icon"></i>アフィリエイトについて</div>
		<div class="content">

			<div class="ui bulleted list">
				<p class="item">阿修羅ワークスの商品をアフィリエイトして下さい。売上に応じて成果報酬を支払わさせて頂きます。</p>
				<p class="item">アフィリエイトの成立判定はCookieを使用します。Cookieは30日間有効です。</p>
				<p class="item">どの商品リンクからであってもCookieが発行され、どの商品が売れても成果報酬となります。</p>
			</div>
		</div>

		<div class="title"><i class="dropdown icon"></i>アフィリエイト報酬について</div>
		<div class="content">
			<div class="ui bulleted list">
				<p class="item">報酬は売上の20%です。例えば1万円の商品が売れたら2,000円が報酬となります。</p>
				<p class="item">自分経由でアフィリエイトするいわゆる自己アフィリエイトはできません。</p>
			</div>
		</div>

		<div class="title"><i class="dropdown icon"></i>報酬支払日</div>
		<div class="content">
			<div class="ui bulleted list">
				<p class="item">報酬は確定日が1日　振込日が月末となります。銀行が休みの日は次の営業日が振込日となります。</p>
				<p class="item">最低支払額は5000円からです。</p>
				<p class="item">振込時に手数料が掛かります。</p>
				<p class="item">口座情報に誤りがある場合は振り込まれません。</p>
				<p class="item">購入者が支払いまたは購入をキャンセルした場合はその分が報酬から減額されます。</p>
			</div>
		</div>

		<div class="title"><i class="dropdown icon"></i>アフィリエイトの始め方</div>
		<div class="content">
			<div class="ui bulleted list">
				<p class="item">阿修羅ワークスのプラグインを利用している方であれば、誰でもご参加できます。</p>
				<p class="item">最初に「口座情報登録」をして頂き、自分のアフィリエイトIDを取得します。</p>
				<p class="item">次に「リンク発行ツール」を使い商品リンクを作ります。</p>
				<p class="item">商品リンクをご自分のサイトまたはSNS、メルマガに貼り付けて阿修羅ワークスの商品をPRして下さい。PR素材は商品ページをご利用下さい。ただし、商品画像の直リンクはサーバーに負担が掛かるためお止め下さい。一旦ご自分のサイトに保存してからお使い下さい。</p>
				<p class="item">商品リンクはダミー購入テストができます。ダミー購入リンクから購入して決済を銀行振込で精算して下さい。アフィリエイト売上通知が届けば大丈夫です。</p>
			</div>
		</div>

		<div class="title"><i class="dropdown icon"></i>利用規約</div>
		<div class="content">
			<div class="ui bulleted list">
				<p class="item">自己アフィリエイトが判明した場合は予告なく利用を停止させて頂く場合があります。</p>
				<p class="item">不正な操作で購入者に無理やり購入させる行為が発覚した場合は予告なく利用を停止させて頂く場合があります。</p>
				<p class="item">商品リンクへ大量にアクセスし、サーバーへ負荷を掛けすぎる行為を禁止致します。</p>
				<p class="item">口座情報登録で虚偽が発覚した場合は予告なく利用を停止させて頂く場合があります。</p>
				<p class="item">阿修羅ワークスの不利益になる情報・誹謗中傷が発見された場合は予告なく利用を停止させて頂く場合があります。</p>
			</div>
		</div>
	</div>

</div>

<!-- 入力エラーモーダルダイアログ -->
<div class="ui modal input-error">
  <i class="close icon"></i>

  <div class="header">入力エラー</div>

  <div class="content">

    <div class="description">

      <div class="ui header">入力ミスがあります</div>

      <p>名前またはメールアドレスが正しく入力されていませんでした。再度確認した上で入力をお願いします。</p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>

<!-- ajax通信結果モーダルダイアログ -->
<div class="ui modal ajax-result">
  <i class="close icon"></i>

  <div class="header">登録結果</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui primary approve button" style="font-size: 0.7rem;">はい</div>

  </div>

</div>


<script>

jQuery( function( $ )
{

	//登録ボタンをクリックしたら
	$( '#affiliate-regist-btn' ).on( 'click' , function()
	{
		//二度押し防止のためにボタンを隠す
		$( '#affiliate-regist-btn' ).hide( 'slow' );

		//フォームデータをオブジェクト化
		const fd		= new FormData( $( "#affiliate-form" ).get( 0 ) );

		//サーバーに渡す値を追加
		fd.append( 'action' , 'RegistAffiliate' );
		fd.append( 'token' , '<?php echo wp_create_nonce( $this->NOUNCE_KEY ); ?>' );

		//チェックボックスがチェックされていれば
		if( $( '[name=terms]' ).is( ':checked' ) )
		{
			fd.append( 'terms' , 1 );
		}
		else
		{
			fd.append( 'terms' , '' );
		}


		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
			timeout		: 5000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			if( data.status )
			{
				alert( data.msg );
			}
			else
			{
				alert( data.msg );
			}

			//ボタンを復帰する
			$( '#affiliate-regist-btn' ).show( 'slow' );

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( "登録に失敗しました。" );

			//ボタンを復帰する
			$( '#affiliate-regist-btn' ).show( 'slow' );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});

	});



	//発行ボタンをクリックしたら
	$( '#affiliate-toolt-btn' ).on( 'click' , function()
	{
		//初期化
		$( '#output-link' ).val( '' );

		//フォームデータをオブジェクト化
		const fd		= new FormData( $( "#affiliate-tool-form" ).get( 0 ) );

		//サーバーに渡す値を追加
		fd.append( 'action' , 'ToolAffiliate' );
		fd.append( 'token' , '<?php echo wp_create_nonce( $this->NOUNCE_KEY ); ?>' );

		$.ajax(
		{
			url			: '<?php echo admin_url( 'admin-ajax.php' ); ?>' ,
			type		: 'POST' ,
			cache		: false ,
			timeout		: 5000 ,
			processData	: false ,	 //ajaxでFormData使用時に必須
			contentType	: false ,	 //ajaxでFormData使用時に必須
			data		: fd
		})
		.success( function( data , state )
		{
			//ヘッダーを表示
			$( '#affiliate-tool-header' ).show( 'slow' );

			if( data.status )
			{
				//リンクを表示
				$( '#output-link' ).val( data.link + "\n\n" + data.dlink );
			}
			else
			{
				//リンクを表示
				$( '#output-link' ).val( data.msg );
			}

			console.log( state );
			console.log( data );
		})
		.error( function( XHR , state , error )
		{
			alert( "発行に失敗しました。入力漏れがあります。" );

			//ヘッダーを非表示
			$( '#affiliate-tool-header' ).hide( 'slow' );

			console.log( XHR );
			console.log( state );
			console.log( error );
		});

	});

});

</script>

<?php
 }  function ADD_DASHBOAD_AFFILIATE_WIDGETS( $slug = "Affiliate" , $title = "阿修羅ワークス アフィリエイト" , $func_name = 'AFFILIATE' ) { wp_add_dashboard_widget ( $slug ,  $title ,  array( &$this , $func_name )  ); }  function AJAX_AFFILIATE_TOOL() { global $JP;  $_POST = $JP->ESC_HTML( $_POST );  extract( $_POST );  if(! wp_verify_nonce( $token , $this->NOUNCE_KEY ) ) {  $this->DMPF( date_i18n( 'Y-m-d H:i:s' ) . " $token , $this->NOUNCE_KEY\n" , "nonce_error.txt" , 1 );  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 0 , 'msg' => 'タイムアウトしました。ページを再読込して下さい。' , );  echo json_encode( $H_array ); exit; } $flag = false;  foreach( (array)$_POST as $key => $val ) {  if( $val == '' ) { $flag = true; break; } }  if( $flag ) {  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 0 , 'msg' => '発行に失敗しました。入力漏れがあります。' , );  echo json_encode( $H_array ); exit; }  list( $item , $item_name ) = explode( '::' , $item );  $url = $this->URL . '?cmd=mhs-ard' . '&item=' . $item . '&afid=' . $afid;  $durl = $this->URL . '?cmd=mhs-ard' . '&item=' . $item . '&afid=' . $afid . '&mode=test';  $link = '<a href="' . $url . '">' . $item_name . '</a>';  $dlink = '<a href="' . $durl . '">' . $item_name . '(ダミー購入テスト用)</a>';  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 1 , 'link' => $link , 'dlink' => $dlink , );  echo json_encode( $H_array ); exit; }  function AJAX_AFFILIATE_SETTING_UPDATE() { global $JP;  $_POST = $JP->ESC_HTML( $_POST );  extract( $_POST );  if(! wp_verify_nonce( $token , $this->NOUNCE_KEY ) ) {  $this->DMPF( date_i18n( 'Y-m-d H:i:s' ) . " $token , $this->NOUNCE_KEY\n" , "nonce_error.txt" , 1 );  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 0 , 'msg' => 'タイムアウトしました。ページを再読込して下さい。' , );  echo json_encode( $H_array ); exit; } $flag = false;  foreach( (array)$_POST as $key => $val ) {  if( $val == '' ) { $flag = true; break; } }  if( $flag ) {  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 0 , 'msg' => '記入漏れがあります。' , );  echo json_encode( $H_array ); exit; } $H_param = $_POST; $H_param[ 'cmd' ] = 'joint-press_affiliate_regist';  list( $code , $response ) = $JP->GET_REMOTE_SITE( $this->URL , $timeout = 5 , $ua = '' , 'GET' , $H_param );  $H_res = json_decode( $response[ 'body' ] , true );  if( $code != 200 or $H_res[ 'status' ] == 'error' ) {  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 0 , 'msg' => $H_res[ 'msg' ] , );  echo json_encode( $H_array ); exit; }  $_POST[ 'afid' ] = $H_res[ 'afid' ];  $_POST[ 'date' ] = time();  $res = $JP->UPDATE_OPTION( $this->OPTION_KEY , $_POST );  header( "Content-Type: application/json" );  $H_array = array ( 'status' => 1 , 'msg' => $H_res[ 'msg' ] , );  echo json_encode( $H_array ); exit; }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } }